org.apache.hadoop.ha.proto

## Interface HAServiceProtocolProtos.HAStateChangeRequestInfoProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    HAServiceProtocolProtos.HAStateChangeRequestInfoProto, HAServiceProtocolProtos.HAStateChangeRequestInfoProto.Builder
  Enclosing class:
    HAServiceProtocolProtos

      public static interface HAServiceProtocolProtos.HAStateChangeRequestInfoProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HAServiceProtocolProtos.HARequestSource` | `getReqSource()` `required .hadoop.common.HARequestSource reqSource = 1;`
    `boolean` | `hasReqSource()` `required .hadoop.common.HARequestSource reqSource = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasReqSource

          boolean hasReqSource()

      `required .hadoop.common.HARequestSource reqSource = 1;`

    - #### getReqSource

          HAServiceProtocolProtos.HARequestSource getReqSource()

      `required .hadoop.common.HARequestSource reqSource = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.